com.trendmicro.ds.appcontrol.rest.object

## Enum DescribeTrustedUpdateModeResponse.State

- java.lang.Object
- - java.lang.Enum<DescribeTrustedUpdateModeResponse.State>
  - - com.trendmicro.ds.appcontrol.rest.object.DescribeTrustedUpdateModeResponse.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DescribeTrustedUpdateModeResponse.State>
  Enclosing class:
    DescribeTrustedUpdateModeResponse

      public static enum DescribeTrustedUpdateModeResponse.State
      extends java.lang.Enum<DescribeTrustedUpdateModeResponse.State>

  The states that trusted update mode can be in.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OFF`
    `ON`
    `RESET_DURATION_REQUESTED`
    `START_REQUESTED`
    `STOP_REQUESTED`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DescribeTrustedUpdateModeResponse.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DescribeTrustedUpdateModeResponse.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DescribeTrustedUpdateModeResponse.State UNKNOWN

    - #### OFF

          public static final DescribeTrustedUpdateModeResponse.State OFF

    - #### START_REQUESTED

          public static final DescribeTrustedUpdateModeResponse.State START_REQUESTED

    - #### ON

          public static final DescribeTrustedUpdateModeResponse.State ON

    - #### STOP_REQUESTED

          public static final DescribeTrustedUpdateModeResponse.State STOP_REQUESTED

    - #### RESET_DURATION_REQUESTED

          public static final DescribeTrustedUpdateModeResponse.State RESET_DURATION_REQUESTED

  - ### Method Detail

    - #### values

          public static DescribeTrustedUpdateModeResponse.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DescribeTrustedUpdateModeResponse.State c : DescribeTrustedUpdateModeResponse.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DescribeTrustedUpdateModeResponse.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2017 Trend Micro Inc. All Rights Reserved.